Bug 463694 - [LTC 6.0 FEAT] 201592:Exploitation of DCSSs above 2G
[LTC 6.0 FEAT] 201592:Exploitation of DCSSs above 2G
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 465490
  Show dependency treegraph
 
Reported: 2008-09-24 02:30 EDT by IBM Bug Proxy
Modified: 2010-07-16 03:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 06:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:30:44 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:19 EDT
1. Feature Overview:
Feature Id:	[201592]
a. Name of Feature:	Exploitation of DCSSs above 2G
b. Feature Description
Update xip fs and DCSS block device driver to work with DCSSs with  addresses > 2G.  This will allow
applications to have one or more shared 'objects' whose cumulative size is > 2G.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	zSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28

3. Business Case
Several customers have expressed specific interest in the ability to have 'objects' residing in
shared memory that are either > 2G in size, or several objects whose aggregate size is >2G to have
more capacity and/or flexibility (Home Depot, Nationwide, TPF Software).  We believe there are many
other customers that stand to benefit (Hoplon, Real, IBM's ECM (Big Green) project, to name a few).

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):

Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-02 08:41:16 EST
via upstream kernel, no code to attach to feature BZ
Comment 2 IBM Bug Proxy 2009-09-16 02:30:45 EDT
------- Comment From mgrf@de.ibm.com 2009-09-16 02:20 EDT-------
For the record,
the code for this feature is upstream accepted with k 2.6.28
Comment 3 Hans-Joachim Picht 2009-09-17 06:48:56 EDT
Code is included in the rhel6 kernel via upstream. Marked as CLOSED/CURRENTRELEASE by by Hans-Joachim Picht <hpicht@redhat.com>
Comment 4 IBM Bug Proxy 2010-07-16 03:00:51 EDT
------- Comment From mgrf@de.ibm.com 2010-07-16 02:54 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Further regression tests ongoing

Note You need to log in before you can comment on or make changes to this bug.